<?php AGSReportingPresetExporter::VERSION; // prevent direct access ?>

<div id="ags-rpx-settings-container">
    <div id="ags-rpx-settings">
        <div id="ags-rpx-settings-header">
            <div class="ags-rpx-settings-logo">
                <h3><?php esc_html_e('Ecommerce Reports Exporter', 'ags-reporting-preset-exporter'); ?></h3>
            </div>
        </div>

        <div id="ags-rpx-settings-tabs-content">

            <div id="ags-rpx-intro">
                <p><?php esc_html_e('This utility allows you to export preset(s) from one or more supported reporting plugins into a single file. The following plugins are supported. The reporting plugin must be active in order for its presets to display in the list below.', 'ags-reporting-preset-exporter'); ?></p>

                <ul>
                    <li><a href="https://wordpress.org/plugins/product-sales-report-for-woocommerce/" target="_blank"><?php esc_html_e('Product Sales Report', 'ags-reporting-preset-exporter'); ?></a> (1.4.3+)</li>
                    <li><a href="https://aspengrovestudios.com/product/product-sales-report-pro-for-woocommerce/" target="_blank"><?php esc_html_e('Product Sales Report Pro', 'ags-reporting-preset-exporter'); ?></a> (1.5.5+)</li>
                    <li><a href="https://wordpress.org/plugins/export-order-items-for-woocommerce/" target="_blank"><?php esc_html_e('Export Order Items', 'ags-reporting-preset-exporter'); ?></a> (1.0.5+)</li>
                    <li><a href="https://aspengrovestudios.com/product/export-order-items-pro-for-woocommerce/" target="_blank"><?php esc_html_e('Export Order Items Pro', 'ags-reporting-preset-exporter'); ?></a> (1.0.9+)</li>
                </ul>
            </div>

            <form id="ags-rpx-form" method="post">
                <?php if ($presets) { ?>
                    <a href="#" id="ags-rpx-select-all"><?php esc_html_e('Select All', 'ags-reporting-preset-exporter'); ?></a>

                    <ul id="ags-rpx-presets">
                        <?php foreach ($presets as $source => $sourcePresets) { ?>
                            <li>
                                <label>
                                    <input type="checkbox" class="ags-rpx-select-source">
                                    <?php echo(esc_html($source)); ?>
                                </label>
                                <ul>
                                    <?php foreach ($sourcePresets as $presetId => $presetName) { ?>
                                        <li>
                                            <label>
                                                <input type="checkbox" name="presets[<?php echo(esc_attr(strstr($presetId, ' ', true))); ?>][]" value="<?php echo(esc_attr(substr(strstr($presetId, ' '), 1))); ?>">
                                                <?php echo(esc_html($presetName)); ?>
                                            </label>
                                        </li>
                                    <?php } ?>
                                </ul>
                            </li>
                        <?php } ?>
                    </ul>

                    <button class="ags-rpx-button-primary" name="ags_rpx_action" value="export"><?php esc_html_e('Export', 'ags-reporting-preset-exporter'); ?></button>
                <?php } else { ?>
                    <p><?php esc_html_e('There are no available export sources active on your site.', 'ags-reporting-preset-exporter'); ?></p>
                <?php } ?>
            </form>
        </div>
    </div>
</div>